Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Factory Class Reference

Abstract base class for the Event Channel components. More...

`#include <EC_Factory.h>`

Inheritance diagram for TAO_EC_Factory

[legend]
Collaboration diagram for TAO_EC_Factory:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_EC_Factory (void)
| destructor...
virtual TAO_EC_Dispatching* | create_dispatching (TAO_EC_Event_Channel*) = 0
| Create and destroy the dispatching module.
virtual void | destroy_dispatching (TAO_EC_Dispatching*) = 0
virtual TAO_EC_Filter_Builder* | create_filter_builder (TAO_EC_Event_Channel*) = 0
| Create and destroy the filter builder.
virtual void | destroy_filter_builder (TAO_EC_Filter_Builder*) = 0
virtual TAO_EC_Supplier_Filter_Builder* | create_supplier_filter_builder (TAO_EC_Event_Channel*) = 0
| Create and destroy the filter builder.
virtual void | destroy_supplier_filter_builder (TAO_EC_Supplier_Filter_Builder*) = 0
virtual TAO_EC_ConsumerAdmin* | create_consumer_admin (TAO_EC_Event_Channel*) = 0
| Create and destroy the consumer admin implementation.
virtual void | destroy_consumer_admin (TAO_EC_ConsumerAdmin*) = 0
virtual TAO_EC_SupplierAdmin* | create_supplier_admin (TAO_EC_Event_Channel*) = 0
| Create and destroy the supplier admin implementation.
virtual void | destroy_supplier_admin (TAO_EC_SupplierAdmin*) = 0
virtual TAO_EC_ProxyPushSupplier* | create_proxy_push_supplier (TAO_EC_Event_Channel*) = 0
| Create and destroy a ProxyPushSupplier.
virtual void | destroy_proxy_push_supplier (TAO_EC_ProxyPushSupplier*) = 0
virtual TAO_EC_ProxyPushConsumer* | create_proxy_push_consumer (TAO_EC_Event_Channel*) = 0
| Create and destroy a ProxyPushConsumer.
virtual void | destroy_proxy_push_consumer (TAO_EC_ProxyPushConsumer*) = 0
virtual TAO_EC_Timeout_Generator* | create_timeout_generator (TAO_EC_Event_Channel*) = 0
| Create and destroy the timer module.
virtual void | destroy_timeout_generator (TAO_EC_Timeout_Generator*) = 0
virtual TAO_EC_ObserverStrategy* | create_observer_strategy (TAO_EC_Event_Channel*) = 0
| Create and destroy the observer strategy.
virtual void | destroy_observer_strategy (TAO_EC_ObserverStrategy*) = 0
virtual TAO_EC_Scheduling_Strategy* | create_scheduling_strategy (TAO_EC_Event_Channel*) = 0
| Create and destroy the observer strategy.
virtual void | destroy_scheduling_strategy (TAO_EC_Scheduling_Strategy*) = 0
virtual TAO_EC_ProxyPushConsumer_Collection* | create_proxy_push_consumer_collection (TAO_EC_Event_Channel*) = 0
| Create and destroy a collection of TAO_EC_ProxyPushConsumers.
virtual void | destroy_proxy_push_consumer_collection (TAO_EC_ProxyPushConsumer_Collection*) = 0
virtual TAO_EC_ProxyPushSupplier_Collection* | create_proxy_push_supplier_collection (TAO_EC_Event_Channel*) = 0
| Create and destroy a collection of TAO_EC_ProxyPushSuppliers.
virtual void | destroy_proxy_push_supplier_collection (TAO_EC_ProxyPushSupplier_Collection*) = 0
virtual ACE_Lock* | create_consumer_lock (void) = 0
| Create and destroy the locking strategies for both ProxyPushConsumers and ProxyPushSuppliers.
virtual void | destroy_consumer_lock (ACE_Lock*) = 0
virtual ACE_Lock* | create_supplier_lock (void) = 0
virtual void | destroy_supplier_lock (ACE_Lock*) = 0
virtual TAO_EC_ConsumerControl* | create_consumer_control (TAO_EC_Event_Channel*) = 0
| The ConsumerControl and SupplierControl strategies are used to discard non-existent consumers and suppliers.
virtual void | destroy_consumer_control (TAO_EC_ConsumerControl*) = 0
virtual TAO_EC_SupplierControl* | create_supplier_control (TAO_EC_Event_Channel*) = 0
virtual void | destroy_supplier_control (TAO_EC_SupplierControl*) = 0

## Detailed Description

Abstract base class for the Event Channel components.

Defines the EC_Factory interface.

## Memory Management

The objects it creates are owned by this class, the client must invoke the corresponding destroy() method to release them. Some implementations may require a different instance for the EC_Factory for each instance of Event_Channel.

## Constructor & Destructor Documentation

TAO_EC_Factory::~TAO_EC_Factory ( | void )`[inline, virtual]`

| destructor...

## Member Function Documentation

TAO_EC_ConsumerAdmin * TAO_EC_Factory::create_consumer_admin ( | TAO_EC_Event_Channel * ec )`[pure virtual]`

| Create and destroy the consumer admin implementation. Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

TAO_EC_ConsumerControl * TAO_EC_Factory::create_consumer_control ( | TAO_EC_Event_Channel * ec )`[pure virtual]`

| The ConsumerControl and SupplierControl strategies are used to discard non-existent consumers and suppliers. Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

ACE_Lock * TAO_EC_Factory::create_consumer_lock ( | void )`[pure virtual]`

| Create and destroy the locking strategies for both ProxyPushConsumers and ProxyPushSuppliers. Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

TAO_EC_Dispatching * TAO_EC_Factory::create_dispatching ( | TAO_EC_Event_Channel * ec )`[pure virtual]`

| Create and destroy the dispatching module. Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, TAO_EC_Null_Factory, and TAO_EC_Sched_Factory.

TAO_EC_Filter_Builder * TAO_EC_Factory::create_filter_builder ( | TAO_EC_Event_Channel * ec )`[pure virtual]`

| Create and destroy the filter builder. Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, TAO_EC_Null_Factory, and TAO_EC_Sched_Factory.

TAO_EC_ObserverStrategy * TAO_EC_Factory::create_observer_strategy ( | TAO_EC_Event_Channel * ec )`[pure virtual]`

| Create and destroy the observer strategy. Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

TAO_EC_ProxyPushConsumer * TAO_EC_Factory::create_proxy_push_consumer ( | TAO_EC_Event_Channel * ec )`[pure virtual]`

| Create and destroy a ProxyPushConsumer. Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

TAO_EC_ProxyPushConsumer_Collection * TAO_EC_Factory::create_proxy_push_consumer_collection ( | TAO_EC_Event_Channel * )`[pure virtual]`

| Create and destroy a collection of TAO_EC_ProxyPushConsumers. Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

TAO_EC_ProxyPushSupplier * TAO_EC_Factory::create_proxy_push_supplier ( | TAO_EC_Event_Channel * ec )`[pure virtual]`

| Create and destroy a ProxyPushSupplier. Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

TAO_EC_ProxyPushSupplier_Collection * TAO_EC_Factory::create_proxy_push_supplier_collection ( | TAO_EC_Event_Channel * )`[pure virtual]`

| Create and destroy a collection of TAO_EC_ProxyPushSuppliers. Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

TAO_EC_Scheduling_Strategy * TAO_EC_Factory::create_scheduling_strategy ( | TAO_EC_Event_Channel * ec )`[pure virtual]`

| Create and destroy the observer strategy. Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, TAO_EC_Null_Factory, and TAO_EC_Sched_Factory.

TAO_EC_SupplierAdmin * TAO_EC_Factory::create_supplier_admin ( | TAO_EC_Event_Channel * ec )`[pure virtual]`

| Create and destroy the supplier admin implementation. Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

virtual TAO_EC_SupplierControl* TAO_EC_Factory::create_supplier_control ( | TAO_EC_Event_Channel * ec )`[pure virtual]`

| Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

TAO_EC_Supplier_Filter_Builder * TAO_EC_Factory::create_supplier_filter_builder ( | TAO_EC_Event_Channel * ec )`[pure virtual]`

| Create and destroy the filter builder. Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

virtual ACE_Lock* TAO_EC_Factory::create_supplier_lock ( | void )`[pure virtual]`

| Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

TAO_EC_Timeout_Generator * TAO_EC_Factory::create_timeout_generator ( | TAO_EC_Event_Channel * ec )`[pure virtual]`

| Create and destroy the timer module. Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, TAO_EC_Null_Factory, and TAO_EC_Sched_Factory.

virtual void TAO_EC_Factory::destroy_consumer_admin ( | TAO_EC_ConsumerAdmin * x )`[pure virtual]`

| Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

virtual void TAO_EC_Factory::destroy_consumer_control ( | TAO_EC_ConsumerControl * x )`[pure virtual]`

| Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

virtual void TAO_EC_Factory::destroy_consumer_lock ( | ACE_Lock * x )`[pure virtual]`

| Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

virtual void TAO_EC_Factory::destroy_dispatching ( | TAO_EC_Dispatching * x )`[pure virtual]`

| Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

virtual void TAO_EC_Factory::destroy_filter_builder ( | TAO_EC_Filter_Builder * x )`[pure virtual]`

| Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

virtual void TAO_EC_Factory::destroy_observer_strategy ( | TAO_EC_ObserverStrategy * x )`[pure virtual]`

| Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

virtual void TAO_EC_Factory::destroy_proxy_push_consumer ( | TAO_EC_ProxyPushConsumer * x )`[pure virtual]`

| Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

virtual void TAO_EC_Factory::destroy_proxy_push_consumer_collection ( | TAO_EC_ProxyPushConsumer_Collection * x )`[pure virtual]`

| Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

virtual void TAO_EC_Factory::destroy_proxy_push_supplier ( | TAO_EC_ProxyPushSupplier * x )`[pure virtual]`

| Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

virtual void TAO_EC_Factory::destroy_proxy_push_supplier_collection ( | TAO_EC_ProxyPushSupplier_Collection * x )`[pure virtual]`

| Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

virtual void TAO_EC_Factory::destroy_scheduling_strategy ( | TAO_EC_Scheduling_Strategy * x )`[pure virtual]`

| Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

virtual void TAO_EC_Factory::destroy_supplier_admin ( | TAO_EC_SupplierAdmin * x )`[pure virtual]`

| Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

virtual void TAO_EC_Factory::destroy_supplier_control ( | TAO_EC_SupplierControl * x )`[pure virtual]`

| Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

virtual void TAO_EC_Factory::destroy_supplier_filter_builder ( | TAO_EC_Supplier_Filter_Builder * x )`[pure virtual]`

| Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

virtual void TAO_EC_Factory::destroy_supplier_lock ( | ACE_Lock * x )`[pure virtual]`

| Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

virtual void TAO_EC_Factory::destroy_timeout_generator ( | TAO_EC_Timeout_Generator * x )`[pure virtual]`

| Reimplemented in TAO_EC_Basic_Factory, TAO_EC_Default_Factory, and TAO_EC_Null_Factory.

The documentation for this class was generated from the following files:

- EC_Factory.h
- EC_Factory.cpp